diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-cqa-ff-mac-scheduler.h ns-3.44/src/lte/test/lte-test-cqa-ff-mac-scheduler.h
--- ns-3.43/src/lte/test/lte-test-cqa-ff-mac-scheduler.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/test/lte-test-cqa-ff-mac-scheduler.h	2025-03-09 16:55:49.607372000 -0700
@@ -19,9 +19,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This is a system test program. The test is based on a scenario with single eNB and several
+ * @brief This is a system test program. The test is based on a scenario with single eNB and several
  * UEs. The goal of the test is validating if the obtained throughput performance is consistent with
  * the definition of CQA scheduler.
  */
@@ -32,13 +32,13 @@
     /**
      * Constructor
      *
-     * \param nUser number of UE nodes
-     * \param dist distance between nodes
-     * \param thrRefDl DL throughput reference
-     * \param thrRefUl UL throughput reference
-     * \param packetSize packet size
-     * \param interval time interval
-     * \param errorModelEnabled error model enabled?
+     * @param nUser number of UE nodes
+     * @param dist distance between nodes
+     * @param thrRefDl DL throughput reference
+     * @param thrRefUl UL throughput reference
+     * @param packetSize packet size
+     * @param interval time interval
+     * @param errorModelEnabled error model enabled?
      */
     LenaCqaFfMacSchedulerTestCase1(uint16_t nUser,
                                    double dist,
@@ -53,9 +53,9 @@
     /**
      *  Builds the test name string based on provided parameter values
      *
-     * \param nUser number of UE nodes
-     * \param dist distance between nodes
-     * \returns name string
+     * @param nUser number of UE nodes
+     * @param dist distance between nodes
+     * @returns name string
      */
     static std::string BuildNameString(uint16_t nUser, double dist);
     void DoRun() override;
@@ -69,9 +69,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This is a system test program. The test is based on a scenario with single eNB and several
+ * @brief This is a system test program. The test is based on a scenario with single eNB and several
  * UEs. The goal of the test is validating if the obtained throughput performance is consistent with
  * the definition of CQA scheduler when the UEs with different SINRs.
  */
@@ -82,11 +82,11 @@
     /**
      * Constructor
      *
-     * \param dist distance between nodes
-     * \param estThrCqaDl estimated CQA throughput in the downlink
-     * \param packetSize packet size
-     * \param interval the UDP packet time interval
-     * \param errorModelEnabled whether the error model enabled is enabled in the test case
+     * @param dist distance between nodes
+     * @param estThrCqaDl estimated CQA throughput in the downlink
+     * @param packetSize packet size
+     * @param interval the UDP packet time interval
+     * @param errorModelEnabled whether the error model enabled is enabled in the test case
      */
     LenaCqaFfMacSchedulerTestCase2(std::vector<double> dist,
                                    std::vector<uint32_t> estThrCqaDl,
@@ -99,9 +99,9 @@
     /**
      *  Builds the test name string based on provided parameter values
      *
-     * \param nUser number of UE nodes
-     * \param dist distance between nodes
-     * \returns name string
+     * @param nUser number of UE nodes
+     * @param dist distance between nodes
+     * @returns name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<double> dist);
     void DoRun() override;
@@ -114,9 +114,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief The test suite for testing CQA scheduler functionality
+ * @brief The test suite for testing CQA scheduler functionality
  */
 
 class LenaTestCqaFfMacSchedulerSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-cqi-generation.cc ns-3.44/src/lte/test/lte-test-cqi-generation.cc
--- ns-3.43/src/lte/test/lte-test-cqi-generation.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-cqi-generation.cc	2025-03-09 16:55:49.607372000 -0700
@@ -11,21 +11,21 @@
 
 #include "lte-ffr-simple.h"
 
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
 #include "ns3/ff-mac-scheduler.h"
+#include "ns3/log.h"
 #include "ns3/lte-helper.h"
 #include "ns3/lte-rrc-sap.h"
+#include "ns3/lte-ue-mac.h"
+#include "ns3/lte-ue-net-device.h"
 #include "ns3/mobility-helper.h"
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/log.h>
-#include <ns3/lte-ue-mac.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 using namespace ns3;
 
@@ -134,7 +134,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteCqiGenerationTestSuite lteCqiGenerationTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-cqi-generation.h ns-3.44/src/lte/test/lte-test-cqi-generation.h
--- ns-3.43/src/lte/test/lte-test-cqi-generation.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-cqi-generation.h	2025-03-09 16:55:49.607372000 -0700
@@ -16,9 +16,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Cqi Generation Test Suite
+ * @brief Lte Cqi Generation Test Suite
  */
 
 class LteCqiGenerationTestSuite : public TestSuite
@@ -28,9 +28,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This is the test case for testing different configuration of CQI generation.
+ * @brief This is the test case for testing different configuration of CQI generation.
  *  The topology consists of the two UEs and two eNbs. UEs have the same position,
  *  while eNodeBs are at the same distance from both UEs. The checking whether CQI is
  *  generated properly for two different cases: when PDCCH is used for the CQI
@@ -43,10 +43,10 @@
     /**
      * Constructor
      *
-     * \param name reference name
-     * \param usePdcchForCqiGeneration use PDCCH for CQI generation
-     * \param dlMcs DL MCS
-     * \param ulMcs UL MCS
+     * @param name reference name
+     * @param usePdcchForCqiGeneration use PDCCH for CQI generation
+     * @param dlMcs DL MCS
+     * @param ulMcs UL MCS
      */
     LteCqiGenerationTestCase(std::string name,
                              bool usePdcchForCqiGeneration,
@@ -55,18 +55,18 @@
     ~LteCqiGenerationTestCase() override;
 
     /**
-     * \brief DL Scheduling function
-     * \param dlInfo DL info
+     * @brief DL Scheduling function
+     * @param dlInfo DL info
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
 
     /**
-     * \brief UL Scheduling function
-     * \param frameNo frame number
-     * \param subframeNo subframe number
-     * \param rnti the RNTI
-     * \param mcs the MCS
-     * \param sizeTb size
+     * @brief UL Scheduling function
+     * @param frameNo frame number
+     * @param subframeNo subframe number
+     * @param rnti the RNTI
+     * @param mcs the MCS
+     * @param sizeTb size
      */
     void UlScheduling(uint32_t frameNo,
                       uint32_t subframeNo,
@@ -83,9 +83,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This test is very similar to LteCqiGenerationTestCase. The difference is that in this
+ * @brief This test is very similar to LteCqiGenerationTestCase. The difference is that in this
  * test is enabled the downlink power control.
  */
 
@@ -95,11 +95,11 @@
     /**
      * Constructor
      *
-     * \param name reference name
-     * \param cell0Pa cell # 0 PA
-     * \param cell1Pa cell # 1 PA
-     * \param dlMcs DL MCS
-     * \param ulMcs UL MCS
+     * @param name reference name
+     * @param cell0Pa cell # 0 PA
+     * @param cell1Pa cell # 1 PA
+     * @param dlMcs DL MCS
+     * @param ulMcs UL MCS
      */
     LteCqiGenerationDlPowerControlTestCase(std::string name,
                                            uint8_t cell0Pa,
@@ -109,18 +109,18 @@
     ~LteCqiGenerationDlPowerControlTestCase() override;
 
     /**
-     * \brief DL Scheduling function
-     * \param dlInfo DL info
+     * @brief DL Scheduling function
+     * @param dlInfo DL info
      */
     void DlScheduling(DlSchedulingCallbackInfo dlInfo);
 
     /**
-     * \brief UL Scheduling function
-     * \param frameNo frame number
-     * \param subframeNo subframe number
-     * \param rnti the RNTI
-     * \param mcs the MCS
-     * \param sizeTb size
+     * @brief UL Scheduling function
+     * @param frameNo frame number
+     * @param subframeNo subframe number
+     * @param rnti the RNTI
+     * @param mcs the MCS
+     * @param sizeTb size
      */
     void UlScheduling(uint32_t frameNo,
                       uint32_t subframeNo,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-deactivate-bearer.cc ns-3.44/src/lte/test/lte-test-deactivate-bearer.cc
--- ns-3.43/src/lte/test/lte-test-deactivate-bearer.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-deactivate-bearer.cc	2025-03-09 16:55:49.607372000 -0700
@@ -8,38 +8,38 @@
 
 #include "lte-test-deactivate-bearer.h"
 
+#include "ns3/boolean.h"
+#include "ns3/constant-position-mobility-model.h"
 #include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/eps-bearer.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
 #include "ns3/network-module.h"
+#include "ns3/node-container.h"
+#include "ns3/object.h"
 #include "ns3/packet-sink-helper.h"
+#include "ns3/packet.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
+#include "ns3/ptr.h"
 #include "ns3/radio-bearer-stats-calculator.h"
+#include "ns3/rng-seed-manager.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
 #include "ns3/string.h"
+#include "ns3/test.h"
 #include "ns3/udp-client-server-helper.h"
-#include <ns3/boolean.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/enum.h>
-#include <ns3/eps-bearer.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
-#include <ns3/rng-seed-manager.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/test.h>
 
 #include <iostream>
 #include <sstream>
@@ -88,7 +88,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LenaTestBearerDeactivateSuite lenaTestBearerDeactivateSuite;
@@ -330,7 +330,7 @@
                         2);
 
     // stop simulation after 3 seconds
-    Simulator::Stop(Seconds(3.0));
+    Simulator::Stop(Seconds(3));
 
     Simulator::Run();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-deactivate-bearer.h ns-3.44/src/lte/test/lte-test-deactivate-bearer.h
--- ns-3.43/src/lte/test/lte-test-deactivate-bearer.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-deactivate-bearer.h	2025-03-09 16:55:49.607372000 -0700
@@ -9,12 +9,12 @@
 {
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test case that for testing the deactivation of the bearer
+ * @brief Test case that for testing the deactivation of the bearer
  * functionality. The test consist in deactivating the bearer and checking
  * if some traffic will appear afterwards on the given bearer. If some traffic
- * is detected the test will fail. Firs the de-activation is performed by
+ * is detected the test will fail. First the de-activation is performed by
  * using Simulator::Schedule() method which will initiate bearer de-activation
  * after deActivateTime that is specified as the test parameter. Additionally,
  * test instantiate de-activation in sequence.
@@ -26,12 +26,12 @@
     /**
      * Constructor
      *
-     * \param dist distance between the nodes
-     * \param estThrPssDl estimated throughput PSS DL
-     * \param packetSize packet size in bytes
-     * \param interval interval time in ms
-     * \param errorModelEnabled whether the error model is enabled
-     * \param useIdealRrc whether to use ideal RRC
+     * @param dist distance between the nodes
+     * @param estThrPssDl estimated throughput PSS DL
+     * @param packetSize packet size in bytes
+     * @param interval interval time in ms
+     * @param errorModelEnabled whether the error model is enabled
+     * @param useIdealRrc whether to use ideal RRC
      */
     LenaDeactivateBearerTestCase(std::vector<uint16_t> dist,
                                  std::vector<uint32_t> estThrPssDl,
@@ -45,9 +45,9 @@
     /**
      * Build name string function
      *
-     * \param nUser number of UE nodes
-     * \param dist distance between nodes
-     * \returns name string
+     * @param nUser number of UE nodes
+     * @param dist distance between nodes
+     * @returns name string
      */
     static std::string BuildNameString(uint16_t nUser, std::vector<uint16_t> dist);
     void DoRun() override;
@@ -60,9 +60,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief The test suite class for the LenaDeactivateBearerTestCase.
+ * @brief The test suite class for the LenaDeactivateBearerTestCase.
  */
 
 class LenaTestBearerDeactivateSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-downlink-power-control.cc ns-3.44/src/lte/test/lte-test-downlink-power-control.cc
--- ns-3.43/src/lte/test/lte-test-downlink-power-control.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-downlink-power-control.cc	2025-03-09 16:55:49.607372000 -0700
@@ -11,27 +11,27 @@
 
 #include "lte-ffr-simple.h"
 
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/ff-mac-scheduler.h"
+#include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
+#include "ns3/lte-common.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-enb-rrc.h"
 #include "ns3/lte-helper.h"
+#include "ns3/lte-rrc-sap.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/lte-ue-phy.h"
+#include "ns3/lte-ue-rrc.h"
 #include "ns3/mobility-helper.h"
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/ff-mac-scheduler.h>
-#include <ns3/log.h>
-#include <ns3/lte-chunk-processor.h>
-#include <ns3/lte-common.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-enb-rrc.h>
-#include <ns3/lte-rrc-sap.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/lte-ue-phy.h>
-#include <ns3/lte-ue-rrc.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 using namespace ns3;
 
@@ -376,7 +376,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteDownlinkPowerControlTestSuite lteDownlinkPowerControlTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-downlink-power-control.h ns-3.44/src/lte/test/lte-test-downlink-power-control.h
--- ns-3.43/src/lte/test/lte-test-downlink-power-control.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-downlink-power-control.h	2025-03-09 16:55:49.607372000 -0700
@@ -10,18 +10,18 @@
 #ifndef LTE_TEST_DOWNLINK_POWER_CONTROL_H
 #define LTE_TEST_DOWNLINK_POWER_CONTROL_H
 
+#include "ns3/lte-rrc-sap.h"
 #include "ns3/lte-spectrum-value-helper.h"
 #include "ns3/spectrum-test.h"
 #include "ns3/spectrum-value.h"
 #include "ns3/test.h"
-#include <ns3/lte-rrc-sap.h>
 
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for the LteDownlinkPowerControlSpectrumValueTestCase.
+ * @brief Test suite for the LteDownlinkPowerControlSpectrumValueTestCase.
  *
  */
 class LteDownlinkPowerControlTestSuite : public TestSuite
@@ -30,33 +30,33 @@
     LteDownlinkPowerControlTestSuite();
 
     /**
-     * \brief Calculate RB transmit power function
-     * \param txPower the transmit power
-     * \param pa the PA
-     * \returns RB transmit power
+     * @brief Calculate RB transmit power function
+     * @param txPower the transmit power
+     * @param pa the PA
+     * @returns RB transmit power
      */
     double CalculateRbTxPower(double txPower, uint8_t pa);
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test SINR calculation in the downlink when power control is used.
+ * @brief Test SINR calculation in the downlink when power control is used.
  * Test if the difference in power levels are corresponding to the estamated values.
  */
 class LteDownlinkPowerControlSpectrumValueTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param name the reference name
-     * \param earfcn the EARFCN
-     * \param bw the bandwidth
-     * \param powerTx
-     * \param powerTxMap
-     * \param activeRbs
-     * \param expected the expected Tx Power Spectral Density
+     * @param name the reference name
+     * @param earfcn the EARFCN
+     * @param bw the bandwidth
+     * @param powerTx
+     * @param powerTxMap
+     * @param activeRbs
+     * @param expected the expected Tx Power Spectral Density
      */
     LteDownlinkPowerControlSpectrumValueTestCase(std::string name,
                                                  uint16_t earfcn,
@@ -74,9 +74,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test SINR calculation in the downlink when the power control is used.
+ * @brief Test SINR calculation in the downlink when the power control is used.
  * Test the power control by comparing the downlink data and ctrl power
  * difference with the estimated value based on the specified change in power.
  */
@@ -84,11 +84,11 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param changePower
-     * \param pa
-     * \param name the reference name
+     * @param changePower
+     * @param pa
+     * @param name the reference name
      */
     LteDownlinkPowerControlTestCase(bool changePower, uint8_t pa, std::string name);
     ~LteDownlinkPowerControlTestCase() override;
@@ -102,9 +102,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test if RRC connection reconfiguration messages are properly
+ * @brief Test if RRC connection reconfiguration messages are properly
  * generated upon the change in the downlink power.
  *
  */
@@ -112,21 +112,21 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param useIdealRrc if true use ideal RRC
-     * \param name the reference name
+     * @param useIdealRrc if true use ideal RRC
+     * @param name the reference name
      */
     LteDownlinkPowerControlRrcConnectionReconfigurationTestCase(bool useIdealRrc, std::string name);
     ~LteDownlinkPowerControlRrcConnectionReconfigurationTestCase() override;
 
     /**
-     * \brief Connection Reconfiguration ENB
+     * @brief Connection Reconfiguration ENB
      *
-     * \param context the context name
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
+     * @param context the context name
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
      */
     void ConnectionReconfigurationEnb(std::string context,
                                       uint64_t imsi,
@@ -134,12 +134,12 @@
                                       uint16_t rnti);
 
     /**
-     * \brief Connection Reconfiguration UE
+     * @brief Connection Reconfiguration UE
      *
-     * \param context the context name
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
+     * @param context the context name
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
      */
     void ConnectionReconfigurationUe(std::string context,
                                      uint64_t imsi,
@@ -147,10 +147,10 @@
                                      uint16_t rnti);
 
     /**
-     * \brief Change PDSCH config dedicated
+     * @brief Change PDSCH config dedicated
      *
-     * \param rnti the RNTI
-     * \param pa the PA
+     * @param rnti the RNTI
+     * @param pa the PA
      */
     void ChangePdschConfigDedicated(uint16_t rnti, uint8_t pa);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-downlink-sinr.cc ns-3.44/src/lte/test/lte-test-downlink-sinr.cc
--- ns-3.43/src/lte/test/lte-test-downlink-sinr.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-downlink-sinr.cc	2025-03-09 16:55:49.607372000 -0700
@@ -14,13 +14,13 @@
 
 #include "ns3/boolean.h"
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
+#include "ns3/lte-control-messages.h"
 #include "ns3/lte-helper.h"
 #include "ns3/lte-phy-tag.h"
 #include "ns3/lte-spectrum-signal-parameters.h"
 #include "ns3/simulator.h"
 #include "ns3/spectrum-test.h"
-#include <ns3/lte-chunk-processor.h>
-#include <ns3/lte-control-messages.h>
 
 using namespace ns3;
 
@@ -93,7 +93,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteDownlinkSinrTestSuite lteDownlinkSinrTestSuite;
@@ -254,7 +254,7 @@
     ip4->cellId = pbCellId[4];
     Simulator::Schedule(ti4, &LteSpectrumPhy::StartRx, dlPhy, ip4);
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
 
     NS_LOG_INFO("Data Frame - Theoretical SINR: " << *m_expectedSinr);
@@ -429,7 +429,7 @@
     ip4->pss = false;
     Simulator::Schedule(ti4, &LteSpectrumPhy::StartRx, dlPhy, ip4);
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
 
     NS_LOG_INFO("Ctrl Frame - Theoretical SINR: " << *m_expectedSinr);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-downlink-sinr.h ns-3.44/src/lte/test/lte-test-downlink-sinr.h
--- ns-3.43/src/lte/test/lte-test-downlink-sinr.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-downlink-sinr.h	2025-03-09 16:55:49.607372000 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test 1.1 SINR calculation in downlink
+ * @brief Test 1.1 SINR calculation in downlink
  */
 class LteDownlinkSinrTestSuite : public TestSuite
 {
@@ -28,9 +28,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief  Test compares if the generated SINR is equal to estimated SINR
+ * @brief  Test compares if the generated SINR is equal to estimated SINR
  *  value. Test generates several calls to LteSpectrumPhy::StartRx corresponding
  *  to several signals. One will be the signal of interest, i.e., the
  *  LteSpectrumSignalParametersDlCtrlFrame of the first signal will have the
@@ -43,9 +43,9 @@
     /**
      * Constructor
      *
-     * \param sv the spectrum value
-     * \param sinr the SINR
-     * \param name the name of the test
+     * @param sv the spectrum value
+     * @param sinr the SINR
+     * @param name the name of the test
      */
     LteDownlinkDataSinrTestCase(Ptr<SpectrumValue> sv, Ptr<SpectrumValue> sinr, std::string name);
     ~LteDownlinkDataSinrTestCase() override;
@@ -59,9 +59,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief
+ * @brief
  *  Test compares if the generated SINR is equal to estimated SINR value.
  *  Test generates several calls to LteSpectrumPhy::StartRx corresponding
  *  to several signals. One will be the signal of interest, i.e., the
@@ -75,9 +75,9 @@
     /**
      * Constructor
      *
-     * \param sv the spectrum value
-     * \param sinr the SINR
-     * \param name the name of the test
+     * @param sv the spectrum value
+     * @param sinr the SINR
+     * @param name the name of the test
      */
     LteDownlinkCtrlSinrTestCase(Ptr<SpectrumValue> sv, Ptr<SpectrumValue> sinr, std::string name);
     ~LteDownlinkCtrlSinrTestCase() override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-earfcn.cc ns-3.44/src/lte/test/lte-test-earfcn.cc
--- ns-3.43/src/lte/test/lte-test-earfcn.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-earfcn.cc	2025-03-09 16:55:49.607372000 -0700
@@ -15,9 +15,9 @@
 NS_LOG_COMPONENT_DEFINE("LteTestEarfcn");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test case that is testing if the frequency is properly generated
+ * @brief Test case that is testing if the frequency is properly generated
  * from provided EARFCN frequency.
  */
 
@@ -27,9 +27,9 @@
     /**
      * Constructor
      *
-     * \param str reference name
-     * \param earfcn EARFCN
-     * \param f frequency
+     * @param str reference name
+     * @param earfcn EARFCN
+     * @param f frequency
      */
     LteEarfcnTestCase(const char* str, uint32_t earfcn, double f);
     ~LteEarfcnTestCase() override;
@@ -62,9 +62,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief
+ * @brief
  * Test case that is testing if the downlink frequency is properly
  * converted from provided downlink EARFCN frequency value.
  */
@@ -75,9 +75,9 @@
     /**
      * Constructor
      *
-     * \param str reference name
-     * \param earfcn EARFCN
-     * \param f frequency
+     * @param str reference name
+     * @param earfcn EARFCN
+     * @param f frequency
      */
     LteEarfcnDlTestCase(const char* str, uint32_t earfcn, double f);
 
@@ -102,9 +102,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief  Test case that is testing if the uplink frequency is properly
+ * @brief  Test case that is testing if the uplink frequency is properly
  * converted from provided uplink EARFCN frequency value.
  */
 
@@ -114,9 +114,9 @@
     /**
      * Constructor
      *
-     * \param str reference name
-     * \param earfcn EARFCN
-     * \param f frequency
+     * @param str reference name
+     * @param earfcn EARFCN
+     * @param f frequency
      */
     LteEarfcnUlTestCase(const char* str, uint32_t earfcn, double f);
 
@@ -137,9 +137,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test suite for testing correct conversion of frequencies in
+ * @brief Test suite for testing correct conversion of frequencies in
  * the downlink and the uplink, and general EARFCN frequencies.
  */
 class LteEarfcnTestSuite : public TestSuite
@@ -149,7 +149,7 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteEarfcnTestSuite g_lteEarfcnTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-entities.cc ns-3.44/src/lte/test/lte-test-entities.cc
--- ns-3.43/src/lte/test/lte-test-entities.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-entities.cc	2025-03-09 16:55:49.607372000 -0700
@@ -174,7 +174,7 @@
 LteTestRrc::Start()
 {
     NS_LOG_FUNCTION(this);
-    NS_ASSERT_MSG(m_arrivalTime != Time(0), "Arrival time must be different from 0");
+    NS_ASSERT_MSG(!m_arrivalTime.IsZero(), "Arrival time must be different from 0");
 
     // Stats
     m_txPdus++;
@@ -485,7 +485,7 @@
 
     if (m_txOpportunityMode == RANDOM_MODE)
     {
-        if (m_txOppTime != Seconds(0))
+        if (!m_txOppTime.IsZero())
         {
             Simulator::Schedule(m_txOppTime,
                                 &LteTestMac::SendTxOpportunity,
@@ -518,7 +518,7 @@
 
     if (m_txOpportunityMode == RANDOM_MODE)
     {
-        if (m_txOppTime != Seconds(0.0))
+        if (!m_txOppTime.IsZero())
         {
             SendTxOpportunity(m_txOppTime, m_txOppSize);
         }
